<?php
/**
 *
 * @package    mahara
 * @subpackage lang
 * @author     Catalyst IT Ltd
 * @license    http://www.gnu.org/copyleft/gpl.html GNU GPL version 3 or later
 * @copyright  For copyright information on Mahara, please see the README file distributed with this software.
 *
 */

defined('INTERNAL') || die();

$string['aboutdefaultcontent'] = '<h1>About</h1>
<p><i>Add text about your organisation or the installation here</i></p>

<p><strong>[<i>Name of your installation here</i>]</strong> is powered by <a href="http://mahara.org">Mahara</a>. Mahara is provided freely as open source software (under the GNU General Public License). In brief, this means that you are allowed to copy, use and modify Mahara provided you agree to:</p>

<ul>
    <li>provide the source code to others, </li>
    <li>not modify or remove the original license and copyrights and</li>
    <li>apply this same license to any derivative work.</li>
</ul>
';
$string['homedefaultcontent'] = '<h1>Welcome</h1>

<p><strong>[<i>Name of your installation here</i>]</strong> is a fully featured electronic portfolio system with social networking features to create online learning communities.</p>

<p>For more information you can read <a href="about.php">About</a> <strong>[<i>please ensure you also edit this page</i>]</strong> or alternatively please feel free to <a href="contact.php">contact us</a>.</p>

<p><i>You can edit this text via %s</i></p>';
$string['loggedouthomedefaultcontent'] = '<h1>Welcome</h1>

<p>[<i>Name of your installation here</i>] is a fully featured electronic portfolio system with social networking features to create online learning communities.</p>

<p>For more information you can read <a href="about.php">About</a> [<i>please ensure you also edit this page</i>] or alternatively please feel free to <a href="contact.php">contact us</a>.</p>

<p><i>You can edit this text via %s</i></p>';
$string['privacydefaultcontent'] = '<h1>Privacy statement</h1>

<h2>Introduction</h2>

<p>[<i>This is a default privacy statement for your legal department to edit</i>].</p>

<p>We are committed to protecting your privacy and providing users with a safe and functional personal learning and development environment. This Statement of Privacy applies to the [<i>name of site</i>] site and governs data collection and usage.</p>

<h2>Collection of personal information</h2>

<p>By registering on [<i>name of site</i>] you will be required to provide us with a certain amount of personal information. We will not disclose any of your personal information to any other person or organisation without your written consent unless authorised or required by law.</p>

<h2>Cookies</h2>

<p>In order to use [<i>name of site</i>], you must have cookies enabled within your browser. Please note that no personal information is stored within the cookies used in [<i>name of site</i>].</p>

<p>A cookie is a data file that is placed on your computer by a webpage server. Cookies are not programs, spyware or viruses and are unable to perform any operation by themselves.</p>

<h2>How we use your personal information</h2>

<p>We will only use your personal information for the purpose for which you provided it to us.</p>

<p>As [<i>name of site</i>] users you are able to determine what personal information you make available to others. By default, unless assigned administrator or staff access rights, a user may only view your display name (or name if you have not chosen / could not choose a display name) and your default profile picture. This includes listings within a notification report or visitor log.</p>

<p>We may also collect system usage for statistical purposes. However this data will not identify any individual.</p>

<h2>Storage and security of your personal information</h2>

<p>We will take all reasonable steps to ensure that any personal information we hold is not subject to loss or misuse or unauthorised access, disclosure or alteration.</p>

<p>In order to help protect your personal information, please do not disclose your username or password to any person.</p>

<h2>Changes to this privacy statement</h2>

<p>We may occasionally make adjustments to our privacy statement to reflect changes to the system and in response to customer feedback. As such we suggest you check the privacy statement each time you visit this site.</p>

<h2>Contact</h2>

<p>If you have any questions regarding this statement or believe we have not adhered to the above criteria, please <a href="contact.php">contact us</a> and we will use all reasonable efforts to remedy the issue.</p>';
$string['termsandconditionsdefaultcontent'] = '<h1>Terms and conditions</h1>

<p>[<i>This is a default terms and conditions statement for your legal department to edit</i>].</p>

<p>By using [<i>name of site</i>] you are agreeing to the terms and conditions given below.</p>

<h2>Our obligations</h2>

<p>The [<i>name of site</i>] site administrators will undertake all reasonable steps to provide all users with a safe, secure and operational electronic portfolio system. If at any time you feel your rights as a user have not been upheld or you have any questions regarding the below, please <a href="contact.php">contact us</a> immediately.</p>

<p>[<i>name of site</i>] will occasionally be unavailable for short periods of time as we release new system features. We will endeavour to provide at least 3 working days notice of any scheduled outage.</p>

<p>You are encouraged to report objectionable material or inappropriate behaviour to the <a href="contact.php">site administrator</a> immediately. We will ensure the matter is investigated in a timely manner.</p>

<p>Administrators may access your portfolio and its contents at anytime, however they will avoid doing so unless specifically required to support your use of [<i>name of site</i>] or as per these terms and conditions.</p>

<h2>Your obligations</h2>

<p> The <a href="privacy.php">privacy statement</a> should be considered an extension of these Tterms and conditions and be read by all users.</p>

<p>Your [<i>name of site</i>] account will expire after a given period of time or after given period of inactivity, as set by the site administrator. You will receive an email reminder shortly before your account is due to expire and we suggest you save your portfolio to your personal computer at this time so that you may reuse it in the future.</p>

<p>All files and content you upload to [<i>name of site</i>] are subject to New Zealand Copyright legislation. You are responsible for ensuring you have appropriate permission to reproduce and publish any work that is not your own. Incidents of plagiarism will be dealt with in accordance to your educational institution\'s policy.</p>

<p>You must not use your portfolio to store or display offensive material. If an administrator receives report of any objectionable material within your portfolio, your account will be suspended and your access to [<i>name of site</i>] frozen pending an investigation in accordance to the Student Conduct Policy or equivalent of your educational institution. Where no conduct policy exists, the matter will be referred to an appropriate staff member of your institution or organisation.</p>

<p>If the site administrator receives report of any inappropriate behaviour on your part, where it relates to [<i>name of site</i>], your account will be suspended and your access to [<i>name of site</i>] frozen pending an investigation in accordance to the Student Conduct Policy or equivalent of your educational institution. Where no conduct policy exists, the matter will be referred to an appropriate staff member of your institution or organisation.</p>

<p>Inappropriate behaviour includes misuse of the objectionable material reporting system, intentionally attempting to load files with virus content, placing objectionable or excessive feedback or comments on any other user\'s portfolio and any other behaviour deemed to be a nuisance or offensive by an administrator.</p>

<p>Any unsolicited contact you receive as a result of personal information you have publicly released via your portfolio is your responsibility. However, any misconduct in behaviour from users of the system should be reported to the <a href="contact.php">site administrator</a> immediately.</p>

<p>We may occasionally make minor adjustments to our terms and condition to reflect changes to the system and in response to user feedback. As such we suggest you check the terms and conditions each time you visit this site. We will however notify users of any major changes to the terms and conditions via the [<i>name of site</i>] homepage.</p>';

$string['uploadcopyrightdefaultcontent'] = 'Yes: The file I am attempting to upload is my own or I have express permission to reproduce and/or distribute this item. My use of this file does not breach any local copyright legislation. This file also adheres to the terms and conditions outlined on this site.';

// Note: these license names (long and short) are taken from the SPDX License
// List "Full name" and "Identifier" columns. See: http://spdx.org/licenses
$string['licensedisplaynamebysa']   = 'Creative Commons Attribution Share Alike 4.0';
$string['licensedisplaynameby']     = 'Creative Commons Attribution 4.0';
$string['licensedisplaynamebynd']   = 'Creative Commons Attribution No Derivatives 4.0';
$string['licensedisplaynamebyncsa'] = 'Creative Commons Attribution Non Commercial Share Alike 4.0';
$string['licensedisplaynamebync']   = 'Creative Commons Attribution Non Commercial 4.0';
$string['licensedisplaynamebyncnd'] = 'Creative Commons Attribution Non Commercial No Derivatives 4.0';
$string['licensedisplaynamegfdl']   = 'GNU Free Documentation License v1.3';

$string['licenseshortnamebysa']   = 'CC-BY-SA-4.0';
$string['licenseshortnameby']     = 'CC-BY-4.0';
$string['licenseshortnamebynd']   = 'CC-BY-ND-4.0';
$string['licenseshortnamebyncsa'] = 'CC-BY-NC-SA-4.0';
$string['licenseshortnamebync']   = 'CC-BY-NC-4.0';
$string['licenseshortnamebyncnd'] = 'CC-BY-NC-ND-4.0';
$string['licenseshortnamegfdl']   = 'GFDL-1.3';

$string['staticpageconfigdefault'] = '"Static pages" in "Configure site" in "Administration"';
$string['staticpageconfiginstitution'] = '"Static pages" in "Institutions" in "Administration"';
